﻿@using Blazor_TicTacToe.Data

<div class="board">
    @for (int row = 0; row < BoardData.boardSize; row++)
    {
        @for (int col = 0; col < BoardData.boardSize; col++)
        {
            int currentRow = row;
            int currentCol = col;
            bool cellHasValue = ( board.board[row, col] != TileValue.Empty );

            <div @onclick="() => board.SelectTile(currentRow, currentCol)" class="board-tile @(cellHasValue ? "filledIn" : "") @(board.gameEnded ? "disabled" : "")">
                <p>@(cellHasValue ? board.board[row, col] : "")</p>
            </div>
        }
    }
</div>

<div class="bottom-display">
    <h3>Current Player: @board.currentPlayer</h3>
    <h3>Winner: @(board.gameEnded ? (board.winner == TileValue.Empty ? "Draw" : board.winner) : "")</h3>
</div>

<button @onclick="board.ResetGame">Reset Game</button>

@code {
    private BoardData board = new BoardData();
}
